{"components":{"schemas":{"CreateUserDto":{"properties":{"alias":{"type":"string"},"birthday":{"pattern":"\\d{4}-[01]\\d-[0-3]\\dT[0-2]\\d:[0-5]\\d:[0-5]\\d.\\d+Z?","type":"string"},"photo":{"type":"string"}},"type":"object","required":["alias"]},"CreateRequestDto":{"properties":{"issuer":{"type":"string"},"receiver":{"type":"string"},"when":{"pattern":"\\d{4}-[01]\\d-[0-3]\\dT[0-2]\\d:[0-5]\\d:[0-5]\\d.\\d+Z?","type":"string"},"message":{"type":"string"},"duration":{"type":"number"},"status":{"enum":["Requested","Accepted","Rejected"],"type":"string"}},"type":"object","required":["issuer","receiver","when","message","duration","status"]}},"securitySchemes":{"basicAuth":{"scheme":"basic","type":"http"}}},"info":{"title":"A sample API","version":"1.0.0","description":"Generated with `routing-controllers-openapi`"},"openapi":"3.0.0","paths":{"/":{"get":{"operationId":"IndexController.index","responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Index","tags":["Index"]}},"/api/simpleTest":{"get":{"operationId":"TestsController.simpleTest","responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Test the nodejs server","tags":["Tests"]}},"/testFirestore":{"get":{"operationId":"TestsController.testFirestore","responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Test the firestore access","tags":["Tests"]}},"/testMessaging":{"get":{"operationId":"TestsController.testMessaging","responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Test the firestore access","tags":["Tests"]}},"/api/accounts/myprofile":{"get":{"operationId":"UsersController.getMyAccount","responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Get information of your account","tags":["Users"]},"put":{"operationId":"UsersController.updateProfile","responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Updates a profile","tags":["Users"]}},"/api/accounts/publicprofile/{alias}":{"get":{"operationId":"UsersController.findPublicProfile","parameters":[{"in":"path","name":"alias","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Return the public profile of the selected alias","tags":["Users"]}},"/api/requests":{"get":{"operationId":"RequestsController.findAll","responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Return a list of all requests","tags":["Requests"]},"post":{"operationId":"RequestsController.createRequest","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRequestDto"}}},"description":"CreateRequestDto","required":false},"responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Create a new request","tags":["Requests"]}},"/api/requests/issuer/{alias}":{"get":{"operationId":"RequestsController.findAllByIssuer","parameters":[{"in":"path","name":"alias","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Return the requests where the issuer is the requested alias","tags":["Requests"]}},"/api/requests/receiver/{alias}":{"get":{"operationId":"RequestsController.findAllByReceiver","parameters":[{"in":"path","name":"alias","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Return the requests where the receiver is the requested alias","tags":["Requests"]}},"/api/requests/{id}":{"get":{"operationId":"RequestsController.findRequestById","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Return find a request","tags":["Requests"]},"delete":{"operationId":"RequestsController.deleteRequest","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Delete a request","tags":["Requests"]}},"/api/requests/consent/{id}":{"get":{"operationId":"RequestsController.consentRequest","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Consent a request","tags":["Requests"]}},"/api/requests/reject/{id}":{"get":{"operationId":"RequestsController.rejectRequest","parameters":[{"in":"path","name":"id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Reject a request","tags":["Requests"]}},"/api/subscribeToConsentNews/{token}":{"post":{"operationId":"MessagingController.subscribeToConsentNews","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}}],"responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Subscrcibe to the Consent News topic","tags":["Messaging"]}},"/api/subscribeTopic/{token}/{topic}":{"post":{"operationId":"MessagingController.subscribeTopic","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}},{"in":"path","name":"topic","required":true,"schema":{"type":"string"}}],"responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Subscrcibe to the Consent News topic","tags":["Messaging"]}},"/api/unsubscribeToConsentNews/{token}":{"post":{"operationId":"MessagingController.unsubscribeToConsentNews","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}}],"responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Subscrcibe to the Consent News topic","tags":["Messaging"]}},"/api/unsubscribeTopic/{token}/{topic}":{"post":{"operationId":"MessagingController.unsubscribeTopic","parameters":[{"in":"path","name":"token","required":true,"schema":{"type":"string"}},{"in":"path","name":"topic","required":true,"schema":{"type":"string"}}],"responses":{"201":{"content":{"text/html; charset=utf-8":{}},"description":"Successful response"}},"summary":"Subscrcibe to the Consent News topic","tags":["Messaging"]}}}}